Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## orarend
Class Osztaly

    java.lang.Object
      orarend.Osztaly

    public class Osztaly

extends java.lang.Object

Osztályokat reprezentáló osztály

Author:
  Csipkés László

Field Summary
`protected OsztalyId` | `id`
`protected Tanar` | `osztalyfonok`
`private Terem` | `osztalyterem`

Constructor Summary
`Osztaly()` Üres konstruktor
`Osztaly(java.lang.String nev, Evfolyam evf)` Osztály létrehozása

Method Summary
`boolean` | `equals(java.lang.Object o)`
`OsztalyId` | `getId()`
`Tanar` | `getOsztalyfonok()`
`Terem` | `getOsztalyterem()`
`void` | `setId(OsztalyId i)`
`void` | `setOsztalyfonok(Tanar osztalyfonok)`
`void` | `setOsztalyterem(Terem t)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected OsztalyId id

### osztalyfonok

    protected Tanar osztalyfonok

### osztalyterem

    private Terem osztalyterem

Constructor Detail

### Osztaly

    public Osztaly()

  Üres konstruktor

### Osztaly

    public Osztaly(java.lang.String nev,
                   Evfolyam evf)

  Osztály létrehozása

  Parameters:
    `nev` - osztály neve
    `evf` - osztály évfolyama

Method Detail

### getId

    public OsztalyId getId()

### setId

    public void setId(OsztalyId i)

### getOsztalyfonok

    public Tanar getOsztalyfonok()

### setOsztalyfonok

    public void setOsztalyfonok(Tanar osztalyfonok)

### getOsztalyterem

    public Terem getOsztalyterem()

### setOsztalyterem

    public void setOsztalyterem(Terem t)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD